import { useSession } from "next-auth/react"
import { useGameProps } from "./useGameProps"

function useIndex() {
  const { payload } = useGameProps()
  const { data: session } = useSession()

  const selfIndex =
    payload?.users.findIndex((e) => e?.id === session?.user.id) ?? -1
  const activeIndex = payload?.activeIndex ?? -1
  const isActiveIndex = selfIndex >= 0 && payload?.activeIndex === selfIndex
  const selfUser = payload?.users[selfIndex]
  const activeUser = payload?.users[activeIndex === 0 ? 1 : 0]

  return {
    selfIndex,
    activeIndex,
    isActiveIndex,
    selfUser,
    activeUser,
  }
}

export default useIndex
